Loading...
Searching...
No Matches
ClpPrimalQuadraticDantzig Class Reference

Primal Column Pivot Dantzig Algorithm Class. More...

`#include <ClpPrimalQuadraticDantzig.hpp>`

Inheritance diagram for ClpPrimalQuadraticDantzig:
[legend]
Collaboration diagram for ClpPrimalQuadraticDantzig:
[legend]

## Public Member Functions

Algorithmic methods
virtual int | pivotColumn (CoinIndexedVector *updates, CoinIndexedVector *spareRow1, CoinIndexedVector *spareRow2, CoinIndexedVector *spareColumn1, CoinIndexedVector *spareColumn2)
| Returns pivot column, -1 if none.
virtual void | saveWeights (ClpSimplex *model, int mode)
| Just sets model.
Constructors and destructors
| ClpPrimalQuadraticDantzig ()
| Default Constructor.
| ClpPrimalQuadraticDantzig (const ClpPrimalQuadraticDantzig &)
| Copy constructor.
| ClpPrimalQuadraticDantzig (ClpSimplexPrimalQuadratic *model, ClpQuadraticInfo *info)
| Constructor from model.
ClpPrimalQuadraticDantzig & | operator= (const ClpPrimalQuadraticDantzig &rhs)
| Assignment operator.
virtual | ~ClpPrimalQuadraticDantzig ()
| Destructor.
virtual ClpPrimalColumnPivot * | clone (bool copyData=true) const
| Clone.
Public Member Functions inherited from ClpPrimalColumnPivot
virtual void | updateWeights (CoinIndexedVector *input)
| Updates weights - part 1 (may be empty).
virtual int | pivotRow (double &way)
| Signals pivot row choice: -2 (default) - use normal pivot row choice -1 to numberRows-1 - use this (will be checked) way should be -1 to go to lower bound, +1 to upper bound.
virtual void | clearArrays ()
| Gets rid of all arrays (may be empty).
virtual bool | looksOptimal () const
| Returns true if would not find any column.
virtual void | setLooksOptimal (bool flag)
| Sets optimality flag (for advanced use).
| ClpPrimalColumnPivot ()
| Default Constructor.
| ClpPrimalColumnPivot (const ClpPrimalColumnPivot &)
| Copy constructor.
ClpPrimalColumnPivot & | operator= (const ClpPrimalColumnPivot &rhs)
| Assignment operator.
virtual | ~ClpPrimalColumnPivot ()
| Destructor.
ClpSimplex * | model ()
| Returns model.
void | setModel (ClpSimplex *newmodel)
| Sets model.
int | type ()
| Returns type (above 63 is extra information).
virtual int | numberSprintColumns (int &numberIterations) const
| Returns number of extra columns for sprint algorithm - 0 means off.
virtual void | switchOffSprint ()
| Switch off sprint idea.
virtual void | maximumPivotsChanged ()
| Called when maximum pivots changes.

## Private Attributes

Private member data
Pointer to info
ClpQuadraticInfo * | quadraticInfo_

## Additional Inherited Members

Protected Attributes inherited from ClpPrimalColumnPivot
ClpSimplex * | model_
| Pointer to model.
int | type_
| Type of column pivot algorithm.
bool | looksOptimal_
| Says if looks optimal (normally computed).

## Detailed Description

Primal Column Pivot Dantzig Algorithm Class.

This is simplest choice - choose largest infeasibility

Definition at line 20 of file ClpPrimalQuadraticDantzig.hpp.

## Constructor & Destructor Documentation

## ClpPrimalQuadraticDantzig() [1/3]

ClpPrimalQuadraticDantzig::ClpPrimalQuadraticDantzig | ( |  | ) |

Default Constructor.

## ClpPrimalQuadraticDantzig() [2/3]

ClpPrimalQuadraticDantzig::ClpPrimalQuadraticDantzig | ( | const ClpPrimalQuadraticDantzig & |  | ) |

Copy constructor.

## ClpPrimalQuadraticDantzig() [3/3]

ClpPrimalQuadraticDantzig::ClpPrimalQuadraticDantzig | ( | ClpSimplexPrimalQuadratic * | model,
|  | ClpQuadraticInfo * | info )

Constructor from model.

## ~ClpPrimalQuadraticDantzig()

virtual ClpPrimalQuadraticDantzig::~ClpPrimalQuadraticDantzig | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## pivotColumn()

virtual int ClpPrimalQuadraticDantzig::pivotColumn | ( | CoinIndexedVector * | updates,
|  | CoinIndexedVector * | spareRow1,
|  | CoinIndexedVector * | spareRow2,
|  | CoinIndexedVector * | spareColumn1,
|  | CoinIndexedVector * | spareColumn2 )

virtual

Returns pivot column, -1 if none.

Lumbers over all columns - slow updateArray has cost updates (also use pivotRow_ from last iteration) Can just do full price if you really want to be slow

Implements ClpPrimalColumnPivot.

## saveWeights()

virtual void ClpPrimalQuadraticDantzig::saveWeights | ( | ClpSimplex * | model,
|  | int | mode )

inline virtual

Just sets model.

Implements ClpPrimalColumnPivot.

Definition at line 38 of file ClpPrimalQuadraticDantzig.hpp.

## operator=()

ClpPrimalQuadraticDantzig & ClpPrimalQuadraticDantzig::operator= | ( | const ClpPrimalQuadraticDantzig & | rhs | ) |

Assignment operator.

## clone()

virtual ClpPrimalColumnPivot * ClpPrimalQuadraticDantzig::clone | ( | bool | copyData = true | ) | const

virtual

Clone.

Implements ClpPrimalColumnPivot.

## Member Data Documentation

## quadraticInfo_

ClpQuadraticInfo* ClpPrimalQuadraticDantzig::quadraticInfo_

private

Definition at line 72 of file ClpPrimalQuadraticDantzig.hpp.

The documentation for this class was generated from the following file:

- Clp/src/ClpPrimalQuadraticDantzig.hpp